#ifndef ClampBlockWidget_h__
#define ClampBlockWidget_h__

#ifndef QT_PLUGIN
#include "ClampBlock.h"
#include "ClampComponentWidget.h"
#endif

#include "ui_ClampBlockWidget.h"

class ClampBlockWidget : 
#ifndef QT_PLUGIN
    public ClampComponentTWidget<Model::ClampBlock>
#else
    public QWidget
#endif
{
    Q_OBJECT
public:
	ClampBlockWidget(QWidget* parent);
#ifndef QT_PLUGIN

protected slots:
    virtual void aboutToLoadComponent();
    virtual void componentLoaded();

protected:
    virtual QListView* listView();
    virtual QString tableName();
    virtual QLineEdit* nameField();
#endif
private:
    Ui::ClampBlockWidget ui;
};

#endif // ClampBlockWidget_h__



